Index: include/class.category.php
===================================================================
--- include/class.category.php	(revision 3866)
+++ include/class.category.php	(working copy)
@@ -29,9 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.validation.php");
 
 /**
  * Class to handle project category related issues.
Index: include/class.prefs.php
===================================================================
--- include/class.prefs.php	(revision 3866)
+++ include/class.prefs.php	(working copy)
@@ -29,9 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
 
 /**
  * Class to handle the business logic related to the user preferences
Index: include/workflow/class.example.php
===================================================================
--- include/workflow/class.example.php	(revision 3866)
+++ include/workflow/class.example.php	(working copy)
@@ -27,7 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "workflow/class.abstract_workflow_backend.php");
 
 /**
  * Example workflow backend class. For example purposes it will print what
Index: include/class.time_tracking.php
===================================================================
--- include/class.time_tracking.php	(revision 3866)
+++ include/class.time_tracking.php	(working copy)
@@ -29,14 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.validation.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.history.php");
 
 /**
  * Class to handle the business logic related to the administration
Index: include/class.round_robin.php
===================================================================
--- include/class.round_robin.php	(revision 3866)
+++ include/class.round_robin.php	(working copy)
@@ -29,8 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . 'class.date_helper.php');
-require_once(APP_INC_PATH . 'class.error_handler.php');
 
 class Round_Robin
 {
Index: include/class.scm.php
===================================================================
--- include/class.scm.php	(revision 3866)
+++ include/class.scm.php	(working copy)
@@ -29,14 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.setup.php");
 
 /**
  * Class to handle the business logic related to the source control management
Index: include/class.filter.php
===================================================================
--- include/class.filter.php	(revision 3866)
+++ include/class.filter.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
 
 /**
  * Class to handle the business logic related to the custom filters.
Index: include/class.error_handler.php
===================================================================
--- include/class.error_handler.php	(revision 3866)
+++ include/class.error_handler.php	(working copy)
@@ -29,9 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.mail_helper.php");
-require_once(APP_INC_PATH . "class.setup.php");
 
 /**
  * Class to manage all tasks related to error conditions of the site, such as
Index: include/class.routing.php
===================================================================
--- include/class.routing.php	(revision 3866)
+++ include/class.routing.php	(working copy)
@@ -27,19 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.mail_helper.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.mime_helper.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.setup.php");
-require_once(APP_INC_PATH . "class.notification.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.note.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.history.php");
 
 /**
  * Class to handle all routing functionality
Index: include/class.help.php
===================================================================
--- include/class.help.php	(revision 3866)
+++ include/class.help.php	(working copy)
@@ -29,7 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
 
 /**
  * Class to handle the business logic related to the help
Index: include/class.stats.php
===================================================================
--- include/class.stats.php	(revision 3866)
+++ include/class.stats.php	(working copy)
@@ -29,14 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.release.php");
-require_once(APP_INC_PATH . "class.priority.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.status.php");
 
 /**
  * Class to handle the business logic related to the generation of the
Index: include/class.reminder_action.php
===================================================================
--- include/class.reminder_action.php	(revision 3866)
+++ include/class.reminder_action.php	(working copy)
@@ -29,14 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.reminder_condition.php");
-require_once(APP_INC_PATH . "class.notification.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.group.php");
-require_once(APP_INC_PATH . "class.mail_helper.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.validation.php");
 
 /**
  * Class to handle the business logic related to the reminder emails
Index: include/class.link_filter.php
===================================================================
--- include/class.link_filter.php	(revision 3866)
+++ include/class.link_filter.php	(working copy)
@@ -29,7 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.user.php");
 
 /**
  * Class to handle parsing content for links.
@@ -348,7 +347,6 @@
      */
     function callbackIssueLinks($matches)
     {
-        require_once(APP_INC_PATH . "class.issue.php");
         // check if the issue is still open
         if (Issue::isClosed($matches[5])) {
             $class = 'closed_link';
Index: include/class.email_account.php
===================================================================
--- include/class.email_account.php	(revision 3866)
+++ include/class.email_account.php	(working copy)
@@ -30,7 +30,6 @@
 //
 
 
-require_once(APP_INC_PATH . "class.error_handler.php");
 
 class Email_Account
 {
Index: include/class.email_response.php
===================================================================
--- include/class.email_response.php	(revision 3866)
+++ include/class.email_response.php	(working copy)
@@ -29,8 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
 
 /**
  * Class to handle the business logic related to the administration
Index: include/class.support.php
===================================================================
--- include/class.support.php	(revision 3866)
+++ include/class.support.php	(working copy)
@@ -27,20 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.pager.php");
-require_once(APP_INC_PATH . "class.mail_helper.php");
-require_once(APP_INC_PATH . "class.note.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.mime_helper.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.email_account.php");
-require_once(APP_INC_PATH . "class.search_profile.php");
-require_once(APP_INC_PATH . "class.routing.php");
 
 /**
  * Class to handle the business logic related to the email feature of
Index: include/class.user.php
===================================================================
--- include/class.user.php	(revision 3866)
+++ include/class.user.php	(working copy)
@@ -29,16 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.mail_helper.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.prefs.php");
-require_once(APP_INC_PATH . "class.notification.php");
-require_once(APP_INC_PATH . "class.validation.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.setup.php");
 
 /**
  * Class to handle the business logic related to the administration
Index: include/class.release.php
===================================================================
--- include/class.release.php	(revision 3866)
+++ include/class.release.php	(working copy)
@@ -29,9 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.validation.php");
 
 /**
  * Class to handle the business logic related to the administration
Index: include/class.impact_analysis.php
===================================================================
--- include/class.impact_analysis.php	(revision 3866)
+++ include/class.impact_analysis.php	(working copy)
@@ -29,11 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
 
 /**
  * Class to handle the business logic related to the impact analysis section
Index: include/class.status.php
===================================================================
--- include/class.status.php	(revision 3866)
+++ include/class.status.php	(working copy)
@@ -29,7 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
 
 /**
  * Class to handle all business logic related to the way statuses
Index: include/class.notification.php
===================================================================
--- include/class.notification.php	(revision 3866)
+++ include/class.notification.php	(working copy)
@@ -36,20 +36,6 @@
  * @author João Prado Maia <jpm@mysql.com>
  */
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.setup.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.prefs.php");
-require_once(APP_INC_PATH . "class.custom_field.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.mail_helper.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.priority.php");
 
 class Notification
 {
Index: include/class.resolution.php
===================================================================
--- include/class.resolution.php	(revision 3866)
+++ include/class.resolution.php	(working copy)
@@ -29,8 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
 
 /**
  * Class to handle the business logic related to the administration
Index: include/class.phone_support.php
===================================================================
--- include/class.phone_support.php	(revision 3866)
+++ include/class.phone_support.php	(working copy)
@@ -29,13 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
 
 /**
  * Class to handle the business logic related to the phone support
Index: include/class.project.php
===================================================================
--- include/class.project.php	(revision 3866)
+++ include/class.project.php	(working copy)
@@ -29,18 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.group.php");
-require_once(APP_INC_PATH . "class.validation.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.category.php");
-require_once(APP_INC_PATH . "class.release.php");
-require_once(APP_INC_PATH . "class.filter.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.display_column.php");
 
 /**
  * Class to handle the business logic related to the administration
Index: include/class.reminder_condition.php
===================================================================
--- include/class.reminder_condition.php	(revision 3866)
+++ include/class.reminder_condition.php	(working copy)
@@ -29,8 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.status.php");
 
 /**
  * Class to handle the business logic related to the reminder emails
Index: include/class.custom_field.php
===================================================================
--- include/class.custom_field.php	(revision 3866)
+++ include/class.custom_field.php	(working copy)
@@ -29,12 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.history.php");
 
 /**
  * Class to handle the business logic related to the administration
Index: include/class.priority.php
===================================================================
--- include/class.priority.php	(revision 3866)
+++ include/class.priority.php	(working copy)
@@ -29,9 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.validation.php");
 
 /**
  * Class to handle project priority related issues.
Index: include/class.session.php
===================================================================
--- include/class.session.php	(revision 3866)
+++ include/class.session.php	(working copy)
@@ -29,8 +29,6 @@
 // @(#) $Id$
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.setup.php");
 
 /**
  * Wrapper class for sessions. This is an initial bare bones implementation.
Index: popup.php
===================================================================
--- popup.php	(revision 3866)
+++ popup.php	(working copy)
@@ -29,24 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.note.php");
-require_once(APP_INC_PATH . "class.time_tracking.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.impact_analysis.php");
-require_once(APP_INC_PATH . "class.filter.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "class.attachment.php");
-require_once(APP_INC_PATH . "class.scm.php");
-require_once(APP_INC_PATH . "class.notification.php");
-require_once(APP_INC_PATH . "class.phone_support.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.authorized_replier.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("popup.tpl.html");
Index: index.php
===================================================================
--- index.php	(revision 3866)
+++ index.php	(working copy)
@@ -29,9 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . '/init.php');
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 // check if templates_c is writable by the web server user
 if (!Misc::isWritableDirectory(APP_TPL_COMPILE_PATH)) {
Index: duplicate.php
===================================================================
--- duplicate.php	(revision 3866)
+++ duplicate.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("duplicate.tpl.html");
Index: customer/example/customer_lookup.php
===================================================================
--- customer/example/customer_lookup.php	(revision 3866)
+++ customer/example/customer_lookup.php	(working copy)
@@ -29,8 +29,6 @@
 // @(#) $Id$
 //
 require_once(dirname(__FILE__) . "/../../init.php");
-require_once(APP_INC_PATH . "db_access.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("customer/example/customer_lookup.tpl.html");
Index: customer/example/create_customers.php
===================================================================
--- customer/example/create_customers.php	(revision 3866)
+++ customer/example/create_customers.php	(working copy)
@@ -28,9 +28,6 @@
 //
 //
 require_once(dirname(__FILE__) . "/../../init.php");
-require_once(APP_INC_PATH . "db_access.php");
-require_once(APP_INC_PATH . "class.customer.php");
-require_once(APP_INC_PATH . "class.user.php");
 
 // creates user accounts for all the customers
 $prj_id = 1;
Index: stats_chart.php
===================================================================
--- stats_chart.php	(revision 3866)
+++ stats_chart.php	(working copy)
@@ -29,9 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "db_access.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.stats.php");
 
 ini_set('memory_limit', '64M');
 error_reporting(0);
Index: notification.php
===================================================================
--- notification.php	(revision 3866)
+++ notification.php	(working copy)
@@ -29,12 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.notification.php");
-require_once(APP_INC_PATH . "class.prefs.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("notification.tpl.html");
Index: get_attachment.php
===================================================================
--- get_attachment.php	(revision 3866)
+++ get_attachment.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "class.mime_helper.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 Auth::checkAuthentication(APP_COOKIE);
 
Index: validate.php
===================================================================
--- validate.php	(revision 3866)
+++ validate.php	(working copy)
@@ -30,9 +30,6 @@
 //
 
 require_once(dirname(__FILE__) . '/init.php');
-include_once(APP_INC_PATH . "class.auth.php");
-include_once(APP_INC_PATH . "class.issue.php");
-include_once(APP_INC_PATH . "db_access.php");
 
 Auth::checkAuthentication(APP_COOKIE);
 

Index: rpc/xmlrpc.php
===================================================================
--- rpc/xmlrpc.php	(revision 3866)
+++ rpc/xmlrpc.php	(working copy)
@@ -29,18 +29,6 @@
 // @(#) $Id$
 //
 require_once(dirname(__FILE__) . "/../init.php");
-require_once(APP_INC_PATH . "db_access.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.note.php");
-require_once(APP_INC_PATH . "class.draft.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.authorized_replier.php");
-require_once(APP_INC_PATH . "class.report.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.customer.php");
 error_reporting(0);
 require_once(APP_PEAR_PATH . "XML/RPC/Server.php");
 
Index: requirement.php
===================================================================
--- requirement.php	(revision 3866)
+++ requirement.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.impact_analysis.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("requirement.tpl.html");
Index: select_project.php
===================================================================
--- select_project.php	(revision 3866)
+++ select_project.php	(working copy)
@@ -29,11 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.customer.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("select_project.tpl.html");
Index: convert_note.php
===================================================================
--- convert_note.php	(revision 3866)
+++ convert_note.php	(working copy)
@@ -29,17 +29,6 @@
 // @(#) $Id$
 
 require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "db_access.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.note.php");
-require_once(APP_INC_PATH . "class.draft.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "class.mime_helper.php");
-require_once(APP_INC_PATH . "class.mail_helper.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.notification.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("convert_note.tpl.html");
Index: reports/workload_date_range.php
===================================================================
--- reports/workload_date_range.php	(revision 3866)
+++ reports/workload_date_range.php	(working copy)
@@ -29,12 +29,6 @@
 // @(#) $Id$
 //
 require_once(dirname(__FILE__) . "/../init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.report.php");
-require_once(APP_INC_PATH . "class.session.php");
-require_once(APP_INC_PATH . "class.category.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("reports/workload_date_range.tpl.html");
Index: reports/estimated_dev_time.php
===================================================================
--- reports/estimated_dev_time.php	(revision 3866)
+++ reports/estimated_dev_time.php	(working copy)
@@ -27,14 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 require_once(dirname(__FILE__) . "/../init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.report.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "db_access.php");
-require_once(APP_INC_PATH . "class.customer.php");
-require_once(APP_INC_PATH . "class.customer_stats_report.php");
-require_once(APP_INC_PATH . "class.session.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("reports/estimated_dev_time.tpl.html");
Index: reports/recent_activity.php
===================================================================
--- reports/recent_activity.php	(revision 3866)
+++ reports/recent_activity.php	(working copy)
@@ -28,9 +28,6 @@
 //
 // This report shows a list of activity performed in recent history.
 require_once(dirname(__FILE__) . "/../init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("reports/recent_activity.tpl.html");
Index: reports/open_issues.php
===================================================================
--- reports/open_issues.php	(revision 3866)
+++ reports/open_issues.php	(working copy)
@@ -29,10 +29,6 @@
 // @(#) $Id$
 //
 require_once(dirname(__FILE__) . "/../init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.report.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("reports/open_issues.tpl.html");
Index: reports/tree.php
===================================================================
--- reports/tree.php	(revision 3866)
+++ reports/tree.php	(working copy)
@@ -29,9 +29,6 @@
 // @(#) $Id$
 //
 require_once(dirname(__FILE__) . "/../init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("reports/tree.tpl.html");
Index: reports/weekly.php
===================================================================
--- reports/weekly.php	(revision 3866)
+++ reports/weekly.php	(working copy)
@@ -27,11 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 require_once(dirname(__FILE__) . "/../init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.report.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("reports/weekly.tpl.html");
Index: reports/customer_stats_graph.php
===================================================================
--- reports/customer_stats_graph.php	(revision 3866)
+++ reports/customer_stats_graph.php	(working copy)
@@ -29,12 +29,6 @@
 // @(#) $Id$
 //
 require_once(dirname(__FILE__) . "/../init.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.customer_stats_report.php");
-require_once(APP_INC_PATH . "class.prefs.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "class.session.php");
-require_once(APP_INC_PATH . "db_access.php");
 require_once(APP_JPGRAPH_PATH . "jpgraph.php");
 require_once(APP_JPGRAPH_PATH . "jpgraph_bar.php");
 
Index: reports/custom_fields.php
===================================================================
--- reports/custom_fields.php	(revision 3866)
+++ reports/custom_fields.php	(working copy)
@@ -29,11 +29,6 @@
 // @(#) $Id$
 //
 require_once(dirname(__FILE__) . "/../init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.report.php");
-require_once(APP_INC_PATH . "class.custom_field.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("reports/custom_fields.tpl.html");
Index: reports/top.php
===================================================================
--- reports/top.php	(revision 3866)
+++ reports/top.php	(working copy)
@@ -29,9 +29,6 @@
 // @(#) $Id$
 //
 require_once(dirname(__FILE__) . "/../init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("reports/top.tpl.html");
Index: reports/workload_time_period.php
===================================================================
--- reports/workload_time_period.php	(revision 3866)
+++ reports/workload_time_period.php	(working copy)
@@ -29,11 +29,6 @@
 // @(#) $Id$
 //
 require_once(dirname(__FILE__) . "/../init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.report.php");
-require_once(APP_INC_PATH . "class.date_helper.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 $tpl = new Template_Helper();
 $tpl->setTemplate("reports/workload_time_period.tpl.html");
Index: reports/index.php
===================================================================
--- reports/index.php	(revision 3866)
+++ reports/index.php	(working copy)
@@ -29,8 +29,6 @@
 // @(#) $Id$
 //
 require_once(dirname(__FILE__) . "/../init.php");
-require_once(APP_INC_PATH . "class.template_helper.php");
-require_once(APP_INC_PATH . "db_access.php");
 
 Auth::checkAuthentication(APP_COOKIE);
 if (Auth::getCurrentRole() <= User::getRoleID("Customer")) {
